com.sun.jna.platform.win32.COM

## Class COMInvoker

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker

All Implemented Interfaces:
  NativeMapped

Direct Known Subclasses:
  COMBindingBaseObject, Unknown

    public abstract class COMInvoker
    extends PointerType

### Constructor Summary

Constructors
Constructor and Description
`COMInvoker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `_invokeNativeInt(int vtableId, java.lang.Object[] args)`
`protected java.lang.Object` `_invokeNativeObject(int vtableId, java.lang.Object[] args, java.lang.Class<?> returnType)`
`protected void` `_invokeNativeVoid(int vtableId, java.lang.Object[] args)`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### COMInvoker

    public COMInvoker()

### Method Detail

#### _invokeNativeInt

    protected int _invokeNativeInt(int vtableId,
                                   java.lang.Object[] args)

#### _invokeNativeObject

    protected java.lang.Object _invokeNativeObject(int vtableId,
                                                   java.lang.Object[] args,
                                                   java.lang.Class<?> returnType)

#### _invokeNativeVoid

    protected void _invokeNativeVoid(int vtableId,
                                     java.lang.Object[] args)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.